
%define plugin	mailbox
%define name	vdr-plugin-%plugin
%define version	0.5.0
%define rel	5

Summary:	VDR plugin: Display emails of IMAP/POP3 accounts
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://sites.inka.de/~W1222/vdr/
Source:		http://sites.inka.de/~W1222/vdr/download/vdr-%plugin-%version.tgz
Patch0:		mailbox-graphtft-mailcount.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	c-client-devel
BuildRequires:	pam-devel
BuildRequires:	openssl-devel
Requires:	vdr-abi = %vdr_abi

%description
Mailbox is a plugin for the Video Disk Recorder (VDR) by Klaus Schmidinger.

The Mailbox-plugin provides access to multiple e-mail accounts to display the
contained e-mails on the On-Screen-Display (OSD) of the Video Disk Recorder.

This plugin uses the c-client-library of the IMAP server of University of
Washington (UW IMAP) to access e-mail accounts.

As the c-client library supports the IMAP and POP3 protocol the Mailbox-
plugin is able to access both types of mail accounts. Due to the fact that
IMAP provides more features than POP3, several plugin functions are only
available when working with IMAP accounts.

%prep
%setup -q -n %plugin-%version
%patch0 -p0
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# script to call when number of new mails changes
var=MAILCMD
param="-m MAILCMD"
%vdr_plugin_params_end

%build
# fixes build
VDR_PLUGIN_EXTRA_FLAGS="-fno-operator-names"
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY mailcmd.sh




%changelog
* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.5.0-5mdv2010.0
+ Revision: 402778
- add mailcount service support (from graphtft, for graphtft)

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.5.0-4mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.5.0-3mdv2009.1
+ Revision: 359732
- update buildrequires
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.5.0-2mdv2009.0
+ Revision: 197946
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.5.0-1mdv2009.0
+ Revision: 197689
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- use vdr_plugin_flags

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.4.0-13mdv2008.1
+ Revision: 145120
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-12mdv2008.1
+ Revision: 103150
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-11mdv2008.0
+ Revision: 50015
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-10mdv2008.0
+ Revision: 42101
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-9mdv2008.0
+ Revision: 22749
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-8mdv2007.0
+ Revision: 90939
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-7mdv2007.1
+ Revision: 74045
- rebuild for new vdr
- Import vdr-plugin-mailbox

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-6mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-5mdv2007.0
- stricter abi requires

* Tue Aug 08 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-4mdv2007.0
- fix buildrequires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-2mdv2007.0
- rebuild for new vdr

* Fri Jul 14 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-1mdv2007.0
- initial Mandriva release

